summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-cdr/dvd+rw-tools
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-cdr/dvd+rw-tools')
-rw-r--r--app-cdr/dvd+rw-tools/Manifest1
-rw-r--r--app-cdr/dvd+rw-tools/dvd+rw-tools-7.1-r1.ebuild52
-rw-r--r--app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-dvddl.patch13
-rw-r--r--app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-glibc2.6.90.patch11
-rw-r--r--app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-wctomb.patch11
-rw-r--r--app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-wexit.patch11
-rw-r--r--app-cdr/dvd+rw-tools/metadata.xml9
7 files changed, 108 insertions, 0 deletions
diff --git a/app-cdr/dvd+rw-tools/Manifest b/app-cdr/dvd+rw-tools/Manifest
new file mode 100644
index 00000000000..74814cb5109
--- /dev/null
+++ b/app-cdr/dvd+rw-tools/Manifest
@@ -0,0 +1 @@
+DIST dvd+rw-tools-7.1.tar.gz 140846 SHA256 f8d60f822e914128bcbc5f64fbe3ed131cbff9045dca7e12c5b77b26edde72ca SHA512 938f9ec5597158af275c7bf63002696ba362f6f22a219108c6a1df28792f0485046a7af5ce57e41695aaaa0d69543bd66cbbeb4415df5c0e0a902a3f1d278a31 WHIRLPOOL 3bf4376106d228421437151979dab8e0f00089a3eea549e0769c916cc1be58b14ca24ff0b9eba36199e30d0e97aaaceeb98cba7330af50e666f0e570ee417f91
diff --git a/app-cdr/dvd+rw-tools/dvd+rw-tools-7.1-r1.ebuild b/app-cdr/dvd+rw-tools/dvd+rw-tools-7.1-r1.ebuild
new file mode 100644
index 00000000000..9cb533303f0
--- /dev/null
+++ b/app-cdr/dvd+rw-tools/dvd+rw-tools-7.1-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="A set of tools for DVD+RW/-RW drives"
+HOMEPAGE="http://fy.chalmers.se/~appro/linux/DVD+RW/"
+SRC_URI="http://fy.chalmers.se/~appro/linux/DVD+RW/tools/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86 ~amd64-linux ~arm-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="virtual/cdrtools"
+DEPEND="${RDEPEND}
+ sys-devel/m4"
+
+src_prepare() {
+ # Linux compiler flags only include -O2 and are incremental
+ sed -i '/FLAGS/s:-O2::' Makefile.m4
+
+ # Fix compilation when DFORTIFY_SOURCE=2
+ # https://bugs.gentoo.org/257360
+ # https://bugzilla.redhat.com/show_bug.cgi?id=426068
+ epatch "${FILESDIR}"/${PN}-7.0-wctomb.patch
+ epatch "${FILESDIR}"/${PN}-7.0-glibc2.6.90.patch
+ # Allow burning small images on dvd-dl media.
+ # Patch snatched from Fedora, obviously correct.
+ epatch "${FILESDIR}"/${PN}-7.0-dvddl.patch
+ # Exit with non-zero status when child process does.
+ # https://bugzilla.redhat.com/show_bug.cgi?id=243036
+ epatch "${FILESDIR}"/${PN}-7.0-wexit.patch
+}
+
+src_compile() {
+ emake SHELL="${EPREFIX}"/bin/bash CC="$(tc-getCC)" CXX="$(tc-getCXX)" || die
+}
+
+src_install() {
+ emake SHELL="${EPREFIX}"/bin/bash prefix="${ED}/usr" install || die
+ dohtml index.html
+}
+
+pkg_postinst() {
+ elog "When you run growisofs if you receive:"
+ elog "unable to anonymously mmap 33554432: Resource temporarily unavailable"
+ elog "error message please run 'ulimit -l unlimited'"
+}
diff --git a/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-dvddl.patch b/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-dvddl.patch
new file mode 100644
index 00000000000..c1c6fb3332a
--- /dev/null
+++ b/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-dvddl.patch
@@ -0,0 +1,13 @@
+--- ./growisofs_mmc.cpp.joe 2006-04-27 20:45:00.788446635 +0200
++++ ./growisofs_mmc.cpp 2006-04-27 20:46:01.666824300 +0200
+@@ -1412,9 +1412,7 @@
+ blocks += 15, blocks &= ~15;
+
+ if (blocks <= split)
+- fprintf (stderr,":-( more than 50%% of space will be *wasted*!\n"
+- " use single layer media for this recording\n"),
+- exit (FATAL_START(EMEDIUMTYPE));
++ fprintf (stderr,":-? more than 50%% of space will be *wasted*!\n");
+
+ blocks /= 16;
+ blocks += 1;
diff --git a/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-glibc2.6.90.patch b/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-glibc2.6.90.patch
new file mode 100644
index 00000000000..49742d3c4db
--- /dev/null
+++ b/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-glibc2.6.90.patch
@@ -0,0 +1,11 @@
+diff -up dvd+rw-tools-7.0/transport.hxx.glibc2.6.90 dvd+rw-tools-7.0/transport.hxx
+--- dvd+rw-tools-7.0/transport.hxx.glibc2.6.90 2007-08-15 12:56:17.000000000 +0200
++++ dvd+rw-tools-7.0/transport.hxx 2007-08-15 12:56:42.000000000 +0200
+@@ -11,6 +11,7 @@
+ #include <stdlib.h>
+ #include <unistd.h>
+ #include <string.h>
++#include <limits.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include <fcntl.h>
diff --git a/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-wctomb.patch b/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-wctomb.patch
new file mode 100644
index 00000000000..56bd72575e8
--- /dev/null
+++ b/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-wctomb.patch
@@ -0,0 +1,11 @@
+--- transport.hxx~ 2008-03-25 21:24:47.000000000 -0400
++++ transport.hxx 2008-03-25 21:25:36.000000000 -0400
+@@ -116,7 +116,7 @@
+ extern "C" char *plusminus_locale()
+ { static class __plusminus {
+ private:
+- char str[4];
++ char str[MB_LEN_MAX];
+ public:
+ __plusminus() { setlocale(LC_CTYPE,ENV_LOCALE);
+ int l = wctomb(str,(wchar_t)(unsigned char)'');
diff --git a/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-wexit.patch b/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-wexit.patch
new file mode 100644
index 00000000000..e7910cbdd7b
--- /dev/null
+++ b/app-cdr/dvd+rw-tools/files/dvd+rw-tools-7.0-wexit.patch
@@ -0,0 +1,11 @@
+--- dvd+rw-tools-7.0/dvd+rw-format.cpp.wexit 2007-06-21 12:42:30.000000000 +0200
++++ dvd+rw-tools-7.0/dvd+rw-format.cpp 2007-06-21 12:44:13.000000000 +0200
+@@ -245,7 +245,7 @@ int main (int argc, char *argv[])
+ alarm(1);
+ while ((waitpid(pid,&i,0) != pid) && !WIFEXITED(i)) ;
+ if (WEXITSTATUS(i) == 0) fprintf (stderr,"\n");
+- exit (0);
++ exit (WEXITSTATUS(i));
+ }
+ #endif
+
diff --git a/app-cdr/dvd+rw-tools/metadata.xml b/app-cdr/dvd+rw-tools/metadata.xml
new file mode 100644
index 00000000000..6829312d3db
--- /dev/null
+++ b/app-cdr/dvd+rw-tools/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>media-optical</herd>
+<longdescription>
+dvdrtools is a fork of cdrtools, with the primary goal of supporting
+writable DVD drives.
+</longdescription>
+</pkgmetadata>